package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TReportEnergyProject;
import com.nantian.cloud.jljc.mapper.TReportEnergyProjectMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TReportEnergyProjectService;
import com.nantian.cloud.jljc.vo.TReportEnergyQuery;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报表1-5项目表 服务实现类
 * @since 2020-09-16
 * @author stz
 */
@Service("tReportEnergyProjectService")
public class TReportEnergyProjectServiceImpl extends ServiceImpl<TReportEnergyProjectMapper, TReportEnergyProject> implements TReportEnergyProjectService {

    @Override
    public  IPage<TReportEnergyProject> queryList(Page page, TReportEnergyQuery tReportEnergyQuery) {
        return baseMapper.queryList(page,tReportEnergyQuery,new DataScope());
    }

    @Override
    public IPage<TReportEnergyProject> getByYear(Page page, TReportEnergyQuery tReportEnergyQuery) {
        return baseMapper.getByYear(page,tReportEnergyQuery);
    }

    @Override
    public IPage<TReportEnergyProject> getProjectByReportId(Page page, Long reportId) {
        return baseMapper.getProjectByReportId(page,reportId);
    }
    public List<TReportEnergyProject> getProjectTypeList(){
        return baseMapper.getProjectTypeList();
    }
}
